org.apache.flume.sink.hdfs

## Class AvroEventSerializer.Builder

- java.lang.Object
- - org.apache.flume.sink.hdfs.AvroEventSerializer.Builder

- All Implemented Interfaces:
    EventSerializer.Builder
  Enclosing class:
    AvroEventSerializer

      public static class AvroEventSerializer.Builder
      extends Object
      implements EventSerializer.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroEventSerializer.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventSerializer` | `build(Context context, OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroEventSerializer.Builder

          public AvroEventSerializer.Builder()

  - ### Method Detail

    - #### build

          public EventSerializer build(Context context,
                              OutputStream out)

      Specified by:
        `build` in interface `EventSerializer.Builder`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.